summaryrefslogtreecommitdiff
path: root/debian/create-standalone-changelog
diff options
context:
space:
mode:
Diffstat (limited to 'debian/create-standalone-changelog')
-rwxr-xr-xdebian/create-standalone-changelog17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/create-standalone-changelog b/debian/create-standalone-changelog
new file mode 100755
index 000000000..d972f4e30
--- /dev/null
+++ b/debian/create-standalone-changelog
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# A little helper script to build a package with standalone git-annex
+# It relies on being run within git-annex's git repository
+#
+set -eu
+
+umask 022
+
+# This is the same method that the configure script uses when git-annex is
+# built from git master.
+ANNEX_VERSION=$(runghc Build/BuildVersion.hs)
+
+ANNEX_NDVERSION=$( echo ${ANNEX_VERSION} | sed -e 's,-,+git,' -e 's,$,-1~ndall+1,')
+
+dch --noconf -v ${ANNEX_NDVERSION} \
+ --force-bad-version --force-distribution -D neurodebian "Backported fresh snapshot"